curl --request GET \
--url https://{subdomain}.logicgate.com/api/v2/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.logicgate.com/api/v2/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.logicgate.com/api/v2/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.logicgate.com/api/v2/records")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "a1b2c3d4",
"recordName": "Assessment-7",
"name": "Medium Risk",
"status": "IN_PROGRESS",
"sequenceNumber": 7,
"dates": {
"created": 1672552800000,
"dueDate": 1672552800000,
"recordDueDate": 1672552800000,
"daysUntilDue": 3,
"updated": 1672552800000,
"completed": 1672552800000,
"lastCompleted": 1672552800000
},
"assignee": {
"id": "a1b2c3d4",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"object": "user"
},
"creator": {
"id": "a1b2c3d4",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"object": "user"
},
"application": {
"id": "a1b2c3d4",
"name": "Cyber Risk Management Application",
"type": "CONTROLS_COMPLIANCE",
"object": "application"
},
"workflow": {
"id": "a1b2c3d4",
"name": "Risk Assessments",
"recordPrefix": "Assessment",
"object": "workflow"
},
"currentStep": {
"id": "a1b2c3d4",
"name": "Identify Risk",
"type": "ORIGIN",
"object": "step"
},
"originStep": {
"id": "a1b2c3d4",
"name": "Identify Risk",
"type": "ORIGIN",
"object": "step"
},
"fields": [
{
"id": "a1b2c3d4",
"name": "Risk Severity",
"label": "Enter the Risk Severity based on your assessment",
"global": false,
"type": "SELECT",
"valueType": "OPTION",
"required": false,
"values": [
{
"id": "a1b2c3d4",
"type": "OPTION",
"textValue": "Medium Risk",
"numericValue": 2,
"object": "value"
}
],
"object": "field"
}
],
"object": "application"
}
],
"links": {
"first": "/api/v2/resource?page=0&size=20",
"prev": "/api/v2/resource?page=2&size=20",
"self": "/api/v2/resource?page=3&size=20",
"next": "/api/v2/resource?page=4&size=20",
"last": "/api/v2/resource?page=6&size=20"
},
"page": {
"size": 20,
"totalElements": 50,
"totalPages": 3,
"number": 0
}
}Retrieve records
Permissions: Authenticated User
Retrieve a page of all records that the current user has Read or Write access to.
curl --request GET \
--url https://{subdomain}.logicgate.com/api/v2/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.logicgate.com/api/v2/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.logicgate.com/api/v2/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{subdomain}.logicgate.com/api/v2/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{subdomain}.logicgate.com/api/v2/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{subdomain}.logicgate.com/api/v2/records")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{subdomain}.logicgate.com/api/v2/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "a1b2c3d4",
"recordName": "Assessment-7",
"name": "Medium Risk",
"status": "IN_PROGRESS",
"sequenceNumber": 7,
"dates": {
"created": 1672552800000,
"dueDate": 1672552800000,
"recordDueDate": 1672552800000,
"daysUntilDue": 3,
"updated": 1672552800000,
"completed": 1672552800000,
"lastCompleted": 1672552800000
},
"assignee": {
"id": "a1b2c3d4",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"object": "user"
},
"creator": {
"id": "a1b2c3d4",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"object": "user"
},
"application": {
"id": "a1b2c3d4",
"name": "Cyber Risk Management Application",
"type": "CONTROLS_COMPLIANCE",
"object": "application"
},
"workflow": {
"id": "a1b2c3d4",
"name": "Risk Assessments",
"recordPrefix": "Assessment",
"object": "workflow"
},
"currentStep": {
"id": "a1b2c3d4",
"name": "Identify Risk",
"type": "ORIGIN",
"object": "step"
},
"originStep": {
"id": "a1b2c3d4",
"name": "Identify Risk",
"type": "ORIGIN",
"object": "step"
},
"fields": [
{
"id": "a1b2c3d4",
"name": "Risk Severity",
"label": "Enter the Risk Severity based on your assessment",
"global": false,
"type": "SELECT",
"valueType": "OPTION",
"required": false,
"values": [
{
"id": "a1b2c3d4",
"type": "OPTION",
"textValue": "Medium Risk",
"numericValue": 2,
"object": "value"
}
],
"object": "field"
}
],
"object": "application"
}
],
"links": {
"first": "/api/v2/resource?page=0&size=20",
"prev": "/api/v2/resource?page=2&size=20",
"self": "/api/v2/resource?page=3&size=20",
"next": "/api/v2/resource?page=4&size=20",
"last": "/api/v2/resource?page=6&size=20"
},
"page": {
"size": 20,
"totalElements": 50,
"totalPages": 3,
"number": 0
}
}Authorizations
Bearer token issued via the Authentication endpoints.
Headers
A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.
To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.
Query Parameters
The unique ID of an application where, if provided, the response will only contain records from the identified application
The unique ID of a workflow where, if provided, the response will only contain records from the identified workflow
The unique ID of a step where, if provided, the response will only contain records on the identified step
A timestamp measured in milliseconds since the Unix epoch where, if provided, the response will only contain records that have been modified since the given timestamp
The zero-indexed page number (must not be less than 0, defaults to 0)
x >= 0The size of the page and maximum number of items to be returned (must not be less than 1, defaults to 20)
x >= 1